import pprint
import requests


def test_link(conn, user):
    url = conn + '/link?NameID=123'
    payload = {
        'IDDUI': user['dui'],
        'NOM': user['last_name'],
        'PRENOM': user['first_name'],
        'NAISSANCE': user['dob'],
    }
    print("Creating link with the following payload:\n%s" % payload)
    resp = requests.post(url, json=payload)
    resp.raise_for_status()
    res = resp.json()
    assert res['err'] == 0
    pprint.pprint(res)
    print('\n')

    url = conn + '/family_info?NameID=123'
    resp = requests.get(url)
    resp.raise_for_status()
    res = resp.json()
    assert res['err'] == 0
    pprint.pprint(res)
    print('\n')
